rapper(1)

NAME
rapper - Raptor RDF parser utility

SYNOPSIS
rapper [OPTIONS] <source-URI> [base-URI]

EXAMPLE
rapper -o ntriples http://ilrt.org/discovery/rdf/resources/rss.rdf
rapper -i rss-tag-soup pile-of-rss.xml http://example.org/base/
rapper --count http://example.org/index.rdf

DESCRIPTION
The rapper utility allows parsing of RDF content by the Raptor RDF parser toolkit emitting the results as RDF triples in a choice of syntaxes. The source-URI can be a file name or if Raptor is built with a WWW retrieval library, a general URI. The optional base-URI is used as the document URI if present.

OPTIONS
rapper uses the usual GNU command line syntax, with long options starting with two dashes (`-') if supported by the getopt_long function. Otherwise the short options are only available.

-h, --help
    Show a summary of the options.

-i, --input FORMAT
    Set the input FORMAT to one of 'rdfxml' (RDF/XML, default), 'ntriples' (N-Triples, see below) or 'rss-tag-soup' (RSS tag soup).

-o, --output FORMAT
    Set the output FORMAT to 'simple' (default) or 'ntriples' (N-Triples, see below)

-a, --assume
    Assume the document is the RDF/XML (and rdf:RDF is optional).

-c, --count
    Only count the triples and produce no other output.

-e, --ignore-errors
    Ignore errors, do not emit the messages and try to continue parsing.

-q, --quiet
    No extra information messages.

-r, --replace-newlines
    Replace newlines in multi-line literals with spaces.

-s, --scan
    Scan for <rdf:RDF> element in the RDF/XML source content..

-w, --ignore-warnings
    Ignore warnings, do not emit the messages.

-v, --version
    Print the raptor version and exit.

CONFORMING TO
RDF/XML Syntax (Revised), W3C Working Draft (work in progress), http://www.w3.org/TR/rdf-syntax-grammar/ (http://www.w3.org/TR/rdf-syntax-grammar/) N-Triples, W3C Working Draft (work in progress), http://www.w3.org/TR/rdf-testcases/#ntriples (http://www.w3.org/TR/rdf-testcases/#ntriples)

SEE ALSO
libraptor(7),raptor-config(1)

AUTHOR
Dave Beckett - http://purl.org/net/dajobe/ (http://purl.org/net/dajobe/)
Institute for Learning and Research Technology (ILRT) http://www.ilrt.bristol.ac.uk/
University of Bristol http://www.bristol.ac.uk/